Bug 1462546 - [abrt] balsa: statusbar_pop(): balsa killed by SIGSEGV
[abrt] balsa: statusbar_pop(): balsa killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: balsa (Show other bugs)
25
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pawel Salek
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:5f34e661fb268942c19275977fa...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-18 14:38 EDT by Айфф
Modified: 2017-12-12 05:35 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 05:35:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (21.64 KB, text/plain)
2017-06-18 14:38 EDT, Айфф
no flags Details
File: cgroup (242 bytes, text/plain)
2017-06-18 14:38 EDT, Айфф
no flags Details
File: core_backtrace (2.27 KB, text/plain)
2017-06-18 14:38 EDT, Айфф
no flags Details
File: dso_list (12.28 KB, text/plain)
2017-06-18 14:38 EDT, Айфф
no flags Details
File: environ (1.68 KB, text/plain)
2017-06-18 14:38 EDT, Айфф
no flags Details
File: limits (1.29 KB, text/plain)
2017-06-18 14:38 EDT, Айфф
no flags Details
File: maps (60.76 KB, text/plain)
2017-06-18 14:38 EDT, Айфф
no flags Details
File: mountinfo (3.41 KB, text/plain)
2017-06-18 14:38 EDT, Айфф
no flags Details
File: namespaces (102 bytes, text/plain)
2017-06-18 14:38 EDT, Айфф
no flags Details
File: open_fds (1.82 KB, text/plain)
2017-06-18 14:38 EDT, Айфф
no flags Details
File: proc_pid_status (1.26 KB, text/plain)
2017-06-18 14:38 EDT, Айфф
no flags Details
File: var_log_messages (314 bytes, text/plain)
2017-06-18 14:38 EDT, Айфф
no flags Details
File: exploitable (168 bytes, application/octet-stream)
2017-06-18 14:38 EDT, Айфф
no flags Details

  None (edit)
Description Айфф 2017-06-18 14:38:18 EDT
Version-Release number of selected component:
balsa-2.5.3-1.fc25.2

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        balsa
crash_function: statusbar_pop
executable:     /usr/bin/balsa
global_pid:     26213
kernel:         4.11.5-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (3 frames)
 #0 statusbar_pop at balsa-mime-widget-text.c:765
 #5 g_main_context_iteration at gmain.c:3990
 #6 g_application_run at gapplication.c:2405
Comment 1 Айфф 2017-06-18 14:38:24 EDT
Created attachment 1288884 [details]
File: backtrace
Comment 2 Айфф 2017-06-18 14:38:26 EDT
Created attachment 1288885 [details]
File: cgroup
Comment 3 Айфф 2017-06-18 14:38:28 EDT
Created attachment 1288886 [details]
File: core_backtrace
Comment 4 Айфф 2017-06-18 14:38:30 EDT
Created attachment 1288887 [details]
File: dso_list
Comment 5 Айфф 2017-06-18 14:38:31 EDT
Created attachment 1288888 [details]
File: environ
Comment 6 Айфф 2017-06-18 14:38:33 EDT
Created attachment 1288889 [details]
File: limits
Comment 7 Айфф 2017-06-18 14:38:36 EDT
Created attachment 1288890 [details]
File: maps
Comment 8 Айфф 2017-06-18 14:38:38 EDT
Created attachment 1288891 [details]
File: mountinfo
Comment 9 Айфф 2017-06-18 14:38:39 EDT
Created attachment 1288892 [details]
File: namespaces
Comment 10 Айфф 2017-06-18 14:38:41 EDT
Created attachment 1288893 [details]
File: open_fds
Comment 11 Айфф 2017-06-18 14:38:43 EDT
Created attachment 1288894 [details]
File: proc_pid_status
Comment 12 Айфф 2017-06-18 14:38:44 EDT
Created attachment 1288895 [details]
File: var_log_messages
Comment 13 Айфф 2017-06-18 14:38:46 EDT
Created attachment 1288896 [details]
File: exploitable
Comment 14 Peter Bloomfield 2017-06-18 17:30:12 EDT
Thanks for the report!

Was Balsa in the process of closing when this happened? I looked at the code indicated in the backtrace, and it looks like it could be a problem cleaning up when Balsa closes.
Comment 15 Peter Bloomfield 2017-06-19 10:28:45 EDT
A patch has been pushed to the git master branch that should solve this problem. I could not reproduce the SEGV, so I cannot vouch for the fix. If you continue to see the problem when a new version of Balsa is released, please reopen the bug!

Thanks again for reporting!
Comment 16 Айфф 2017-06-20 05:21:42 EDT
Yes, it happened just after the closing of Balsa.
Comment 17 Peter Bloomfield 2017-06-22 12:20:06 EDT
OK, it should be fixed by the patch. Balsa shows some messages in the status bar at the foot of the window for 5 seconds, and if the timer expires while Balsa is shutting down, the status bar has sometimes been destroyed before Balsa tries to clear the message. That happens only rarely, which is why it hasn't been fixed before!
Comment 18 Fedora End Of Life 2017-11-16 09:07:51 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 19 Fedora End Of Life 2017-12-12 05:35:19 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.